// Headers are available because we added the pls target
#include <string>

#include <cstdio>

#include <pls/pls.h>
#include <pls/dataflow/inputs.h>
#include <pls/dataflow/outputs.h>

int main() {
  pls::dataflow::inputs<int, std::string> in;
  pls::dataflow::outputs<int> out1;
  pls::dataflow::outputs<std::string> out2;

  out1.get<0>().connect(in.get<0>());
  out2.get<0>().connect(in.get<1>());
}
